[tracker/tracker-0.10] functional-tests: Only run tests that are +x
- From: Martyn James Russell <mr src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [tracker/tracker-0.10] functional-tests: Only run tests that are +x
- Date: Thu, 25 Aug 2011 15:55:21 +0000 (UTC)
commit 29fa68d00c7bcd5f08446a49df01ff141e17a6d4
Author: Sam Thursfield <sam thursfield codethink co uk>
Date: Thu Aug 25 11:14:09 2011 +0100
functional-tests: Only run tests that are +x
This fixes a regression from the existing behaviour
Fixes GB#655898
tests/functional-tests/test-runner.sh | 7 +++++++
1 files changed, 7 insertions(+), 0 deletions(-)
---
diff --git a/tests/functional-tests/test-runner.sh b/tests/functional-tests/test-runner.sh
index c6d7846..e6db653 100755
--- a/tests/functional-tests/test-runner.sh
+++ b/tests/functional-tests/test-runner.sh
@@ -2,6 +2,13 @@
#
# Test runner script for Tracker's functional tests
+SCRIPT=$1
+if test "$SCRIPT" = "python" ; then SCRIPT=$2 ; fi
+if ! test -x $SCRIPT ; then
+ echo "(Skipping $@ - not executable)"
+ exit
+fi
+
DBUS_SESSION_BUS_PID=
if test -h /targets/links/scratchbox.config ; then
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]